package com.gyee.runeconomy.model.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties(ignoreUnknown = true)
public class ResultItem {
    private String id;
    private String winpowerstationId;
    private String windturbineId;
    private String stopTime;
    private String startTime;
    private double stopHours;
    private double lossPower;
    private String stopTypeId;
    private Object isHandle;  // 根据实际情况可改为具体类型
    private String warningId;
    private String projectId;
    private Object handleWay;
    private String faultView;
    private int statusCode;
    private String code;
    private String windturbineName;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getWinpowerstationId() {
        return winpowerstationId;
    }

    public void setWinpowerstationId(String winpowerstationId) {
        this.winpowerstationId = winpowerstationId;
    }

    public String getWindturbineId() {
        return windturbineId;
    }

    public void setWindturbineId(String windturbineId) {
        this.windturbineId = windturbineId;
    }

    public String getStopTime() {
        return stopTime;
    }

    public void setStopTime(String stopTime) {
        this.stopTime = stopTime;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public double getStopHours() {
        return stopHours;
    }

    public void setStopHours(double stopHours) {
        this.stopHours = stopHours;
    }

    public double getLossPower() {
        return lossPower;
    }

    public void setLossPower(double lossPower) {
        this.lossPower = lossPower;
    }

    public String getStopTypeId() {
        return stopTypeId;
    }

    public void setStopTypeId(String stopTypeId) {
        this.stopTypeId = stopTypeId;
    }

    public Object getIsHandle() {
        return isHandle;
    }

    public void setIsHandle(Object isHandle) {
        this.isHandle = isHandle;
    }

    public String getWarningId() {
        return warningId;
    }

    public void setWarningId(String warningId) {
        this.warningId = warningId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public Object getHandleWay() {
        return handleWay;
    }

    public void setHandleWay(Object handleWay) {
        this.handleWay = handleWay;
    }

    public String getFaultView() {
        return faultView;
    }

    public void setFaultView(String faultView) {
        this.faultView = faultView;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getWindturbineName() {
        return windturbineName;
    }

    public void setWindturbineName(String windturbineName) {
        this.windturbineName = windturbineName;
    }
}
